/*
 * Copyright (C) 2017 Jake Klinker
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package xyz.klinker.android.article.data.model;

import android.database.Cursor;

/**
 * A database model that can be filled from a cursor.
 */
public interface DatabaseModel {

    /**
     * Fills the model from the provided cursor.
     *
     * @param cursor the cursor to fill with.
     */
    void fillFromCursor(Cursor cursor);
}
